GDB (xrefs)

Enumerations
/tmp/gdb-8.1/gdb/tilegx-tdep.h File Reference

Go to the source code of this file.

## Enumerations
enum | tilegx_regnum { TILEGX_R0_REGNUM, TILEGX_FIRST_EASY_REGNUM = TILEGX_R0_REGNUM, TILEGX_R1_REGNUM, TILEGX_R2_REGNUM, TILEGX_R3_REGNUM, TILEGX_R4_REGNUM, TILEGX_R5_REGNUM, TILEGX_R6_REGNUM, TILEGX_R7_REGNUM, TILEGX_R8_REGNUM, TILEGX_R9_REGNUM, TILEGX_R10_REGNUM, TILEGX_R11_REGNUM, TILEGX_R12_REGNUM, TILEGX_R13_REGNUM, TILEGX_R14_REGNUM, TILEGX_R15_REGNUM, TILEGX_R16_REGNUM, TILEGX_R17_REGNUM, TILEGX_R18_REGNUM, TILEGX_R19_REGNUM, TILEGX_R20_REGNUM, TILEGX_R21_REGNUM, TILEGX_R22_REGNUM, TILEGX_R23_REGNUM, TILEGX_R24_REGNUM, TILEGX_R25_REGNUM, TILEGX_R26_REGNUM, TILEGX_R27_REGNUM, TILEGX_R28_REGNUM, TILEGX_R29_REGNUM, TILEGX_R30_REGNUM, TILEGX_R31_REGNUM, TILEGX_R32_REGNUM, TILEGX_R33_REGNUM, TILEGX_R34_REGNUM, TILEGX_R35_REGNUM, TILEGX_R36_REGNUM, TILEGX_R37_REGNUM, TILEGX_R38_REGNUM, TILEGX_R39_REGNUM, TILEGX_R40_REGNUM, TILEGX_R41_REGNUM, TILEGX_R42_REGNUM, TILEGX_R43_REGNUM, TILEGX_R44_REGNUM, TILEGX_R45_REGNUM, TILEGX_R46_REGNUM, TILEGX_R47_REGNUM, TILEGX_R48_REGNUM, TILEGX_R49_REGNUM, TILEGX_R50_REGNUM, TILEGX_R51_REGNUM, TILEGX_R52_REGNUM, TILEGX_TP_REGNUM, TILEGX_SP_REGNUM, TILEGX_LR_REGNUM, TILEGX_SN_REGNUM, TILEGX_NUM_EASY_REGS = TILEGX_SN_REGNUM, TILEGX_IO0_REGNUM, TILEGX_IO1_REGNUM, TILEGX_US0_REGNUM, TILEGX_US1_REGNUM, TILEGX_US2_REGNUM, TILEGX_US3_REGNUM, TILEGX_ZERO_REGNUM, TILEGX_PC_REGNUM, TILEGX_NUM_PHYS_REGS = TILEGX_PC_REGNUM, TILEGX_FAULTNUM_REGNUM, TILEGX_NUM_REGS }
enum | { tilegx_reg_size = 8 }

## Enumeration Type Documentation

## ◆ anonymous enum

anonymous enum

Enumerator
tilegx_reg_size |

Definition at line 108 of file tilegx-tdep.h.

## ◆ tilegx_regnum

enum tilegx_regnum

Enumerator
TILEGX_R0_REGNUM |
TILEGX_FIRST_EASY_REGNUM |
TILEGX_R1_REGNUM |
TILEGX_R2_REGNUM |
TILEGX_R3_REGNUM |
TILEGX_R4_REGNUM |
TILEGX_R5_REGNUM |
TILEGX_R6_REGNUM |
TILEGX_R7_REGNUM |
TILEGX_R8_REGNUM |
TILEGX_R9_REGNUM |
TILEGX_R10_REGNUM |
TILEGX_R11_REGNUM |
TILEGX_R12_REGNUM |
TILEGX_R13_REGNUM |
TILEGX_R14_REGNUM |
TILEGX_R15_REGNUM |
TILEGX_R16_REGNUM |
TILEGX_R17_REGNUM |
TILEGX_R18_REGNUM |
TILEGX_R19_REGNUM |
TILEGX_R20_REGNUM |
TILEGX_R21_REGNUM |
TILEGX_R22_REGNUM |
TILEGX_R23_REGNUM |
TILEGX_R24_REGNUM |
TILEGX_R25_REGNUM |
TILEGX_R26_REGNUM |
TILEGX_R27_REGNUM |
TILEGX_R28_REGNUM |
TILEGX_R29_REGNUM |
TILEGX_R30_REGNUM |
TILEGX_R31_REGNUM |
TILEGX_R32_REGNUM |
TILEGX_R33_REGNUM |
TILEGX_R34_REGNUM |
TILEGX_R35_REGNUM |
TILEGX_R36_REGNUM |
TILEGX_R37_REGNUM |
TILEGX_R38_REGNUM |
TILEGX_R39_REGNUM |
TILEGX_R40_REGNUM |
TILEGX_R41_REGNUM |
TILEGX_R42_REGNUM |
TILEGX_R43_REGNUM |
TILEGX_R44_REGNUM |
TILEGX_R45_REGNUM |
TILEGX_R46_REGNUM |
TILEGX_R47_REGNUM |
TILEGX_R48_REGNUM |
TILEGX_R49_REGNUM |
TILEGX_R50_REGNUM |
TILEGX_R51_REGNUM |
TILEGX_R52_REGNUM |
TILEGX_TP_REGNUM |
TILEGX_SP_REGNUM |
TILEGX_LR_REGNUM |
TILEGX_SN_REGNUM |
TILEGX_NUM_EASY_REGS |
TILEGX_IO0_REGNUM |
TILEGX_IO1_REGNUM |
TILEGX_US0_REGNUM |
TILEGX_US1_REGNUM |
TILEGX_US2_REGNUM |
TILEGX_US3_REGNUM |
TILEGX_ZERO_REGNUM |
TILEGX_PC_REGNUM |
TILEGX_NUM_PHYS_REGS |
TILEGX_FAULTNUM_REGNUM |
TILEGX_NUM_REGS |

Definition at line 31 of file tilegx-tdep.h.